<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F6F6F6">


    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            <!--    商品图片信息-->
            <RelativeLayout
                android:id="@+id/id_rl_top_view"
                android:layout_width="match_parent"
                android:layout_height="360dp"
                android:background="@drawable/img_tb_goods_detail_title_bg"
                android:visibility="gone">

                <TextView
                    android:id="@+id/id_tv_detail_title"
                    android:layout_width="wrap_content"
                    android:layout_height="40dp"
                    android:layout_centerHorizontal="true"
                    android:gravity="center"
                    android:text="京东正品保障"
                    android:textColor="@color/white"
                    android:textSize="16sp" />

                <TextView
                    android:id="@+id/id_tv_price_desc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_above="@id/id_ll_price_view"
                    android:layout_marginLeft="16dp"
                    android:text="第二件仅："
                    android:textColor="@color/color_333333"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <LinearLayout
                    android:id="@+id/id_ll_price_view"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:layout_marginLeft="20dp"
                    android:layout_marginBottom="19dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="¥ "
                        android:textColor="@color/color_333333"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/id_tv_discount_price"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="34.45"
                        android:textColor="@color/color_333333"
                        android:textSize="22sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <TextView
                    android:id="@+id/id_tv_goods_desc"
                    android:layout_width="wrap_content"
                    android:layout_height="35dp"
                    android:layout_alignParentBottom="true"
                    android:layout_centerHorizontal="true"
                    android:layout_marginBottom="40dp"
                    android:gravity="center"
                    android:text="第2件半价 多仓发货"
                    android:textColor="@color/color_333333"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/id_tv_discount_desc"
                    android:layout_width="wrap_content"
                    android:layout_height="40dp"
                    android:layout_alignParentBottom="true"
                    android:layout_centerHorizontal="true"
                    android:gravity="center"
                    android:text="第2件半价 多仓发货"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold" />

            </RelativeLayout>
            <!--    商品图片信息-->
            <RelativeLayout
                android:id="@+id/id_rl_top_view2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.zxbw.modulemain.view.WrapContentHeightViewPager
                    android:id="@+id/id_detail_top_banner"
                    android:layout_width="match_parent"
                    android:layout_height="300dp" />

                <TextView
                    android:id="@+id/id_tv_vp_index"
                    android:layout_width="wrap_content"
                    android:layout_height="22dp"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="16dp"
                    android:layout_marginBottom="10dp"
                    android:layout_alignBottom="@id/id_detail_top_banner"
                    android:background="@drawable/shape_918782_r15"
                    android:gravity="center"
                    android:paddingLeft="15dp"
                    android:paddingRight="15dp"
                    android:text="1/1"
                    android:textColor="@color/white"
                    android:textSize="14sp" />
            </RelativeLayout>

            <View
                android:id="@+id/id_tb_goods_detail_title_sys_bar_view"
                android:layout_width="match_parent"
                android:layout_height="40dp" />

            <ImageView
                android:id="@+id/id_img_close_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/id_tb_goods_detail_title_sys_bar_view"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="10dp"
                android:src="@drawable/img_tb_goods_detail_fanhui" />
            <!--    商品价格信息-->
            <RelativeLayout
                android:id="@+id/id_rl_price_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/id_rl_top_view2"
                android:background="@color/white">

                <LinearLayout
                    android:id="@+id/id_ll_tb_price_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="20dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/id_img_brand_logo"
                        android:layout_width="14dp"
                        android:layout_height="14dp"
                        android:layout_marginRight="6dp"
                        android:src="@drawable/img_tb_goods_detail_tm_logo" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="4dp"
                        android:text="¥"
                        android:textColor="#DA5C47"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/id_tv_tm_price"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="4dp"
                        android:text="0"
                        android:textColor="#DA5C47"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="天猫商城价"
                        android:textColor="#DA5C47"
                        android:textSize="14sp" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/id_ll_xx_price_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/id_ll_tb_price_view"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="5dp"
                    android:gravity="bottom"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/id_img_xx_logo"
                        android:layout_width="14dp"
                        android:layout_height="14dp"
                        android:layout_marginRight="6dp"
                        android:layout_marginBottom="8dp"
                        android:src="@drawable/img_tb_goods_detail_xxsq_logo" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="4dp"
                        android:includeFontPadding="false"
                        android:text="¥"
                        android:textColor="@color/color_333333"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/id_tv_xx_price"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="4dp"
                        android:includeFontPadding="false"
                        android:text="0"
                        android:textColor="@color/color_333333"
                        android:textSize="30sp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="20dp"
                        android:layout_marginBottom="5dp"
                        android:background="@drawable/img_tb_goods_detail_xx_vip_bg"
                        android:gravity="center"
                        android:paddingLeft="5dp"
                        android:paddingRight="4dp"
                        android:text="黑钻到手价"
                        android:textColor="#F8E8CC"
                        android:textSize="11sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/id_ll_sale"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginTop="26dp"
                    android:layout_marginRight="16dp"
                    android:gravity="right"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="已售"
                        android:textColor="@color/color_999999"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/id_tv_sale_num"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="0"
                        android:textColor="@color/color_666666"
                        android:textSize="12sp" />
                </LinearLayout>

                <View
                    android:layout_width="1dp"
                    android:layout_height="30dp"
                    android:layout_marginTop="26dp"
                    android:layout_marginRight="10dp"
                    android:layout_toLeftOf="@+id/id_ll_sale"
                    android:background="#D8D8D8" />

                <TextView
                    android:id="@+id/id_tv_goods_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/id_ll_xx_price_view"
                    android:layout_marginLeft="16dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="16dp"
                    android:layout_marginBottom="10dp"
                    android:ellipsize="end"
                    android:maxLines="2"
                    android:text="商品名称 商品名称商品名称商商品名称商品名称商品名称商品名称商品名称商品名商品名商品名称商品名称商品名称商品名称商品名称商品名商品名称商品名商品名称商品名称商品名称商品名称商品名称商品名称商品名商品名称商品名商品名称称商品名商品名称品名称商品名称商品名称商品名商品名商品名称商品名称商品名称商品名称商品名称商品名商品名称商品名商品名称商品名称商品名称商品名称商品名称商品名称商品名商品名称商品名商品名称称商品名商品名称"
                    android:textColor="@color/color_333333"
                    android:textSize="18sp"
                    android:textStyle="bold" />
            </RelativeLayout>
            <!--VIP开通提示-->
            <LinearLayout
                android:id="@+id/id_ll_not_vip_view_tips"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:visibility="gone"
                android:layout_below="@id/id_rl_price_view"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="14dp"
                android:layout_marginRight="16dp"
                android:background="@drawable/shape_323233_r6"
                android:gravity="center_vertical"
                android:paddingLeft="10dp"
                android:paddingRight="10dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="4dp"
                    android:src="@drawable/icon_vip" />

                <TextView
                    android:id="@+id/id_tv_not_vip_desc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="会员下单再返 ¥12.15 每单约返 10%"
                    android:textColor="#F8E8CC"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/id_tv_open_vip_btn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/img_tb_goods_detail_btn_bg"
                    android:gravity="center"
                    android:text="立即开通"
                    android:textColor="@color/color_333333"
                    android:textSize="12sp"
                    android:textStyle="bold" />

            </LinearLayout>

            <TextView
                android:id="@+id/id_tv_recommend_desc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/id_ll_not_vip_view_tips"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="20dp"
                android:background="@drawable/img_tb_goods_detail_ts_bg"
                android:gravity="center"
                android:text="更多推荐"
                android:textColor="@color/color_333333"
                android:textSize="16sp"
                android:textStyle="bold" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/id_rcl_recommend_goods_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/id_tv_recommend_desc" />

            <View
                android:layout_width="match_parent"
                android:layout_height="90dp"
                android:layout_below="@+id/id_rcl_recommend_goods_list" />
        </RelativeLayout>
    </androidx.core.widget.NestedScrollView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="17dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/id_tv_collection"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginRight="8dp"
            android:drawableTop="@drawable/img_tb_goods_detail_select"
            android:text="收藏"
            android:textColor="@color/color_333333"
            android:textSize="10sp"
            android:visibility="invisible" />

        <LinearLayout
            android:id="@+id/id_ll_tb_buy_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginRight="16dp"
            android:background="@drawable/img_tb_goods_detail_bottom_btn"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:text="普通价购买"
                android:textColor="@color/white"
                android:textSize="10sp" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="left|bottom">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="¥"
                    android:textColor="@color/white"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/id_tv_tm_buy_price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="0"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold" />
            </LinearLayout>


            <TextView
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:text="会员价购买"
                android:textColor="@color/color_333333"
                android:textSize="10sp" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="left|bottom">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="¥"
                    android:textColor="@color/color_333333"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/id_tv_vip_buy_price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="0"
                    android:textColor="@color/color_333333"
                    android:textSize="18sp"
                    android:textStyle="bold" />
            </LinearLayout>


        </LinearLayout>

    </LinearLayout>

    <WebView
        android:id="@+id/id_tb_web_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone" />

</RelativeLayout>
